# Class MergedIfcProductMeshesRenderInfo

Class to record render property statistics for a collection of merged IFC product meshes.

#### Hierarchy (View Summary)

- BaseProductMeshesGroupRenderInfo
  - MergedIfcProductMeshesRenderInfo

##### Index

### Constructors

constructor

### Properties

_state
parent

### Accessors

state

### Methods

assign
clearState
detach
updateFromRenderProperty

## Constructors

### constructor

- new MergedIfcProductMeshesRenderInfo(
  parent: ProductMeshesGroupRenderInfo,
  ): MergedIfcProductMeshesRenderInfo

  Constructor.

  #### Parameters

  - parent: ProductMeshesGroupRenderInfo

    The parent render info object.

  #### Returns MergedIfcProductMeshesRenderInfo

  Overrides BaseProductMeshesGroupRenderInfo.constructor

## Properties

### `Protected`_state

_state: MergedIfcProductMeshesRenderInfoState = ...

Inherited from BaseProductMeshesGroupRenderInfo._state

### `Readonly` parent

parent: ProductMeshesGroupRenderInfo

The parent render info object.

Inherited from BaseProductMeshesGroupRenderInfo.parent

## Accessors

### state

- get state(): DeepImmutable<MergedIfcProductMeshesRenderInfoState>

  Get the current state of render properties.

  #### Returns DeepImmutable<MergedIfcProductMeshesRenderInfoState>

  Inherited from BaseProductMeshesGroupRenderInfo.state

## Methods

### assign

- assign(ifcProductAndMeshes: BimIfcProductsAndMeshes): void

  Assign the render properties to the given IFC product and meshes.

  #### Parameters

  - ifcProductAndMeshes: BimIfcProductsAndMeshes

    The IFC product and meshes to assign the render properties to.

  #### Returns void

### `Protected` clearState

- clearState(): void

  Set the state of the render properties in state to 0.

  #### Returns void

  Inherited from BaseProductMeshesGroupRenderInfo.clearState

### detach

- detach(ifcProductAndMeshes: BimIfcProductsAndMeshes): void

  Detach the render properties from the given IFC product and meshes.

  #### Parameters

  - ifcProductAndMeshes: BimIfcProductsAndMeshes

    The IFC product and meshes to detach the render properties from.

  #### Returns void

### updateFromRenderProperty

- updateFromRenderProperty(
  currentRenderProperty: number,
  prevRenderProperty: number,
  ): void

  Update the render properties based on the current and previous render properties.

  #### Parameters

  - currentRenderProperty: number

    The current render property.

  - prevRenderProperty: number

    The previous render property.

  #### Returns void

  Inherited from BaseProductMeshesGroupRenderInfo.updateFromRenderProperty